package circularlist;

public class CircularLists {

	public static <E> CircularList<E> union(CircularList<? extends E> cl1, CircularList<? extends E> cl2) {
		CircularList<E> u = new CircularList<>();
		u.addAll(cl1);
		u.addAll(cl2);
		return u;
	}

	public static void main(String[] args) {
		CircularList<Double> clf = new CircularList<Double>(1., 2.5, 3.);
		CircularList<Integer> cli = new CircularList<>(4, 5, 6);
		CircularList<Number> u = union(clf, cli);
		System.out.println(u.size());
	}
}
